// winutil.cpp
//
//
#include "stdafx.h"
#include "winutil.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/* WU_GetDefaultGUIFont

   Returns system default GUI font object. Fills
   plf with LOGFONT structure fields if parameter
   is not NULL.
*/

HFONT WINAPI WU_GetDefaultGUIFont(WORD wSize, LOGFONT* plf)
{
   // get font object
   HFONT hFont = (HFONT)GetStockObject(DEFAULT_GUI_FONT);
   if (hFont == NULL)
      hFont = (HFONT)GetStockObject(SYSTEM_FONT);

   // get font properties
   if (plf != NULL)
   {
#ifdef _DEBUG
      ASSERT(AfxIsValidAddress(plf, sizeof(LOGFONT), TRUE));
#endif // _DEBUG
      GetObject(hFont, sizeof(LOGFONT), plf);
   }

   return hFont;
}

/* WU_CheckDlgTemplate

   Check existance of dialog box resource and if 
   bInvisibleChild function only check the
   dialog is child and invisible.
*/

BOOL WINAPI WU_CheckDlgTemplate(LPCTSTR lpszResource, BOOL bInvisibleChild)
{
   // TODO: check dialog template

	return TRUE;
}

